<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php 
  require('load_this/load_bigware_11.php'); 
	
if ($_POST['galeries_sort']){
 foreach($_POST['galeries_sort'] as $key=>$value){
  if ($value!=0) {
   $update_query = "update " . DB_TBL_GALERIE . " set galeries_sort=".$value." where galeries_id=".$key;
	 	go_db_query($update_query);
	} 
 }
 go_forward('main_bigware_49.php?bigPfad='.$_POST['bigPfad']);
}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="load_this/style.css">
<script language="javascript" src="load_this/menu.js"></script>
<script language="javascript" src="load_this/general.js"></script>
<script language="Javascript1.2">
<!-- 
      _changeor_url = "<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . FOLDER_RELATIV_FORMER; ?>htmlarea/"; 
        var win_ie_ver = parseFloat(navigator.appVersion.split("MSIE")[1]);
         if (navigator.userAgent.indexOf('Mac')        >= 0) { win_ie_ver = 0; }
          if (navigator.userAgent.indexOf('Windows CE') >= 0) { win_ie_ver = 0; }
           if (navigator.userAgent.indexOf('Opera')      >= 0) { win_ie_ver = 0; }
       if (win_ie_ver >= 5.5) {
       document.write('<scr' + 'ipt src="' +_changeor_url+ 'changeor_basic.js"');
       document.write(' language="Javascript1.2"></scr' + 'ipt>');
          } else { document.write('<scr'+'ipt>function changeor_generate() { return false; }</scr'+'ipt>'); }
// -->
</script>
<script language="JavaScript" src="htmlarea/validation.js"></script>
<SCRIPT language=javascript src="changeor/inhtml.js"></SCRIPT>
</head>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
<table align="right">
 <tr>
  <td class="smallText">
   <?php 
    echo go_fetch_form('goto', NAME_OF_FILE_GALERIE_SORT, '', 'get');
    echo 'Gehe zu  ' . go_fetch_pull_down_menu('bigPfad', go_get_galerie_cat_tree(), $current_category_id, 'onChange="this.form.submit();"');
    echo '</form>';
   ?>
	</td>
 </tr>
</table> 	 
<table width="100%" cellpadding="10" cellspacing="10">
 <tr>
  <td>
<?php 
if ($_REQUEST['bigPfad']){
 $bigPfad=$_REQUEST['bigPfad']; 
 $list_query = go_db_query('select distinct p.galeries_id,p.galeries_sort,pd.galeries_name  from ' . DB_TBL_GALERIE_DESCRIPTION . ' pd, ' .  DB_TBL_GALERIE . ' p, ' . DB_TBL_GALERIE_TO_CATEGORIES . ' pc where p.galeries_id=pd.galeries_id  and p.galeries_id=pc.galeries_id and pc.categories_id='.$bigPfad.' group by p.galeries_id');
 $list_num = go_db_num_rows($list_query);
 
 echo '<div class="pageGeneralsign" style="padding-left:50px">' . TEXT_GALERY_ROW . '</div><br>';
 echo '<table width="90%" cellpadding="2" cellspacing="0" align="center" border="1" style="border-collapse: collapse">';
 if ($list_num>0) { 
 echo '<tr class="tbUPCountData"><td class="tbUPDataInside">' . TEXT_SORT . '</td><td class="tbUPDataInside">' . TEXT_ARTICLE . '</td><td class="tbUPDataInside">' . TEXT_PRICE . '</td></tr>';
 }
 echo '<form method="post" name="sortlist" action='.$_SERVER['PHP_INFO'].'>';
 for ($i=0; $i<$list_num; $i++){
  $galeries_id[$i] = go_db_result($list_query, $i, 'galeries_id');
	$galeries_name[$i] = go_db_result($list_query, $i, 'galeries_name');
	$galeries_sort[$i] = go_db_result($list_query, $i, 'galeries_sort');
	if ($galeries_sort[$i]==2147483647){
	 echo '<tr class="tbCountData" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)"><td class="TbInsideData"><input type="text" size=4 name="galeries_sort['.$galeries_id[$i].']" value="0" style="text-align:right"></td>';
	}
	else {
	 echo '<tr class="tbCountData" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)"><td class="TbInsideData"><input type="text" size=4 name="galeries_sort['.$galeries_id[$i].']" value="'.$galeries_sort[$i].'" style="text-align:right"></td>';
	} 
	echo '<td class="TbInsideData">'.$galeries_name[$i].'</td><td class="TbInsideData">'.$galeries_price[$i].'</td>';
 }
 echo '<tr class="tbCountData" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)"><td class="TbInsideData"><input type="hidden" name="bigPfad" value="'.$bigPfad.'"></td></tr>';
 if ($list_num>0) {
  echo '<tr><td colspan=3 class="TbInsideData"><input type="image" name="sort" src="picture/button_sort.gif" onClick = "this.form.submit()"></td></tr>';}
 echo '</form>  </td>
 </tr>
</table> ';
 if ($list_num==0) {echo TEXT_NO_ARTICLE;}
}
?>
	
  </td>
 </tr>
</table>  
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>
